import request from '@/utils/request'


// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 获取省市列表
export function getRegionList(data) {
  return request({
    url: '/system/bladeRegion/getDataList',
    method: 'post',
    data: data
  })
}




// 查询高价值专利-万人高价值专利统计列表
export function listRzgHighValuePatentInfo(query) {
  return request({
    url: '/highval/rzgHighValuePatentInfo/list',
    method: 'get',
    params: query
  })
}

// 查询高价值专利-万人高价值专利统计详细
export function getRzgHighValuePatentInfo(id) {
  return request({
    url: '/highval/rzgHighValuePatentInfo/' + id,
    method: 'get'
  })
}

// 新增高价值专利-万人高价值专利统计
export function addRzgHighValuePatentInfo(data) {
  return request({
    url: '/highval/rzgHighValuePatentInfo',
    method: 'post',
    data: data
  })
}

// 修改高价值专利-万人高价值专利统计
export function updateRzgHighValuePatentInfo(data) {
  return request({
    url: '/highval/rzgHighValuePatentInfo',
    method: 'put',
    data: data
  })
}

// 删除高价值专利-万人高价值专利统计
export function delRzgHighValuePatentInfo(id) {
  return request({
    url: '/highval/rzgHighValuePatentInfo/' + id,
    method: 'delete'
  })
}
